Bug 622019 - candlepin env vars need to have both positive and negative settings
Summary: candlepin env vars need to have both positive and negative settings
Status: RELEASE_PENDING
Alias: None
Product: Candlepin
Classification: Community
Component: candlepin   
(Show other bugs)
Version: 0.5
Hardware: All Linux
high
high
Target Milestone: ---
: ---
Assignee: Devan Goodwin
QA Contact: Katello QA List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-06 19:05 UTC by wes hayutin
Modified: 2015-05-14 15:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description wes hayutin 2010-08-06 19:05:15 UTC
dgoodwin and I ran into a situation where turning off FORCECERT=1 or true is not
FORCECERT=0

The setting to turn off FORCECERT is FORCECERT=""
Thats not very user friendly :)

Lets make sure all the candlepin env vars are consistent and have a positive and negative value.

Something like true=1, false=0

Comment 1 Devan Goodwin 2010-09-20 13:18:14 UTC
6b0e154335ff8d692bd92864cd14222da81c3966

Switched GENDB and FORCECERT to look for "1" to enable, anything else we assume means disable.

Comment 2 John Sefler 2010-10-14 16:03:09 UTC
[root@jsefler-f12-candlepin candlepin]# git show-ref master
35b05045626775ae02cb42eb6c67cfa7e6e2ba14 refs/heads/master
35b05045626775ae02cb42eb6c67cfa7e6e2ba14 refs/remotes/origin/master

[root@jsefler-f12-candlepin candlepin]# pwd
/root/candlepin
[root@jsefler-f12-candlepin candlepin]# ls
client  proxy  README  rel-eng

[root@jsefler-f12-candlepin candlepin]# find . -wholename "*" | xargs -i[] grep  FORCECERT "[]"
if [ -f $CA_KEY ] && [ -f $CA_CERT ] && [ "$FORCECERT" != "1" ]; then
	if [ "$FORCECERT" = "1" ]; then

[root@jsefler-f12-candlepin candlepin]# find . -wholename "*" | xargs -i[] grep  GENDB "[]"
GENDB=1 IMPORTDIR=$IMPORTDIR buildconf/scripts/deploy
if [ "$GENDB" == "1" ]; then
- Fix GENDB in deploy script. (dgoodwin@redhat.com)


LOOKING AT THE LOGIC FOR ALL CODED OCCURRENCES OF ENV VARS (FORCECERT and GENDB), THEY BOTH ARE TRUE ONLY WHEN SET TO 1.  ANY OTHER VALUE OR LACK THEREOF IS A FALSE.

VERIFIED THE CODE SUCH THAT...
"1" means true
!"1" means false

Comment 3 John Sefler 2011-05-04 14:40:22 UTC
Group move of VERIFIED Candlepin component bugs to RELEASE_PENDING


Note You need to log in before you can comment on or make changes to this bug.